<template>
    <v-carousel
        :height="height"
        v-model="currentIndex"
        hide-delimiter-background
        delimiter-icon="mdi-minus"
        show-arrows-on-hover
    >
        <template v-for="(item,i) in currentNews.media">
            <v-carousel-item
                v-if="item.$.type.includes('image')"
                :key="i"
                :src="item.$.url"
                reverse-transition="fade-transition"
                transition="fade-transition"
                @click="$emit('click')"
            />
        </template>
    </v-carousel>
</template>

<script>
import { mapState, mapMutations } from 'vuex'

export default {
    props: {
        height: Number,
        index: Number,
    },
    computed: { ...mapState([ "currentNews", "currentImageIndex"]) },
    data: () => ({
        currentIndex: 0,
    }),
    mounted() {
      this.currentIndex = this.currentImageIndex;
    },
    watch: {
      currentIndex(value) {
        this.SET_CURRENT_IMAGE_INDEX(value);
      }
    },
    methods: {
      ...mapMutations(["SET_CURRENT_IMAGE_INDEX"]),
    }

}
</script>
